|  | Home | Documentation | methodCall Struct Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | Private Attributes | List of all members
methodCall Struct Reference

Represents the <methodCall> element with <methodName> and request <params> for remote invocation. More...

`#include <xml-rpc.h>`

Collaboration diagram for methodCall:
[legend]

## Public Member Functions

| methodCall ()
| methodCall (struct soap *)
| methodCall (struct soap *, const char *endpoint, const char *methodname)
| instantiate with endpoint and method name
struct value & | operator[] (int)
| method parameter accessor index
const struct value & | operator[] (int) const
| method parameter accessor index
struct params & | operator() ()
| method invocation
struct params & | operator() (const struct params &)
| method invocation with param list
struct params & | response ()
| get last response
struct value & | fault ()
| fault value of response
const char * | name () const
| get method name
int | error () const
| gSOAP error code
int | recv ()
| receive call
int | send ()
| send call

## Public Attributes

char * | methodName
| name of the method
struct params | params
| input request parameters
struct soap * | soap
| ref to soap struct that manages this type

## Private Attributes

char * | methodEndpoint
| XML-RPC endpoint.
struct methodResponse * | methodResponse
| holds the response after the call

## Detailed Description

Represents the <methodCall> element with <methodName> and request <params> for remote invocation.

## Constructor & Destructor Documentation

## ◆ methodCall() [1/3]

methodCall::methodCall | ( |  | ) |

## ◆ methodCall() [2/3]

methodCall::methodCall | ( | struct soap * |  | ) |

## ◆ methodCall() [3/3]

methodCall::methodCall | ( | struct soap * | ,
|  | const char * | endpoint,
|  | const char * | methodname )

instantiate with endpoint and method name

## Member Function Documentation

## ◆ error()

int methodCall::error | ( |  | ) | const

gSOAP error code

## ◆ fault()

struct value & methodCall::fault | ( |  | ) |

fault value of response

## ◆ name()

const char * methodCall::name | ( |  | ) | const

get method name

## ◆ operator()() [1/2]

struct params & methodCall::operator() | ( |  | ) |

method invocation

## ◆ operator()() [2/2]

struct params & methodCall::operator() | ( | const struct params & |  | ) |

method invocation with param list

## ◆ operator[]() [1/2]

struct value & methodCall::operator[] | ( | int |  | ) |

method parameter accessor index

## ◆ operator[]() [2/2]

const struct value & methodCall::operator[] | ( | int |  | ) | const

method parameter accessor index

## ◆ recv()

int methodCall::recv | ( |  | ) |

receive call

## ◆ response()

struct params & methodCall::response | ( |  | ) |

get last response

## ◆ send()

int methodCall::send | ( |  | ) |

send call

## Member Data Documentation

## ◆ methodEndpoint

char* methodCall::methodEndpoint

private

XML-RPC endpoint.

## ◆ methodName

char* methodCall::methodName

name of the method

## ◆ methodResponse

struct methodResponse* methodCall::methodResponse

private

holds the response after the call

## ◆ params

struct params methodCall::params

input request parameters

## ◆ soap

struct soap* methodCall::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h